/* ==========================================================================
 * AnonNet - Anonymous Network Project
 * --------------------------------------------------------------------------
 * Copyright (C) 2001  William Ahern
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 * ==========================================================================
 */

#include <stdlib.h>
#include "common.h"

char *hex(const char in[],int size) {
	int i;
	char *str;
	
	if ((str = (char *)malloc((size*3)+1)) == NULL)
		return NULL;

	for (i = 0; i < size; i++,str += 3) {
		sprintf(str,"%.2X ",(unsigned char)in[i]);
	}
	str -= size*3;

	return str;
}

void xor(unsigned char *out, unsigned char *a, unsigned char *b, int len) {
	int i;

	for (i = len; i > 0; i--) {
		*out = XOR(*a,*b);
		out++;a++;b++;
	}
}
