/* ==========================================================================
 * AnonNet - Anonymous Network Project
 * --------------------------------------------------------------------------
 * Copyright (C) 2001  William Ahern
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 * ==========================================================================
 */

#ifndef _COMMON_H
#define _COMMON_H 1

/* Macros */
#define unless(cond) if(!(cond))
#define ZERO(s,c) memset(s,0,c)
#define bzero(s,c) memset(s,0,c)
#define MAX(a,b) (((a) > (b)) ? (a) : (b))
#define MIN(a,b) (((a) < (b)) ? (a) : (b))
#define XOR(a,b) ((a)^(b))
#define BIT(x) (1 << (x))

/* Boolean Types */
#define bool enum boolean
enum boolean {
	true = 1, false = 0
};

char *hex(const char[],int size);
void xor(unsigned char *,unsigned char *,unsigned char *,int);

#endif /* _COMMON_H */
