/* ==========================================================================
 * AnonNet - Anonymous Network Project
 * --------------------------------------------------------------------------
 * Copyright (C) 2001  William Ahern
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 * ==========================================================================
 */

#include <config.h>

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "common.h"
#include "conf.h"
#include "control.h"
#include "log.h"
#include "thread.h"
#include "parsecfg.h"


nodeaddr_t *nodeaddr() {
	extern Conf conf;
	nodeaddr_t *addr;

	addr = malloc(sizeof(nodeaddr_t));
	bzero(addr,sizeof(nodeaddr_t));

	addr->sin.sin_family = AF_INET;
	addr->sin.sin_port = conf->port;
	inet_pton(AF_INET,"127.0.0.1",&addr->sin);

	return addr;
}

void nodeaddr_free(nodeaddr_t *nodeaddr) {
	free(nodeaddr);
}

/* int connect_node() {
	extern Conf conf;
	struct sockaddr_in sin;
	int s;
	
	sin.sin_family	= AF_INET;
	sin.sin_port = conf->port;
	
	inet_pton(AF_INET,"127.0.0.1",&sin);

	s = socket(PF_INET,SOCK_STREAM,IPPROTO_TCP);
	
	connect(s,(struct sockaddr *)&sin,sizeof(struct sockaddr_in));

	return s;
} */
